1. Admin - Users
Rootline API
  • Auth
    • Register customer account
      POST
    • User sign-in
      POST
    • User sign-out
      POST
    • Current session information
      GET
  • Users
    • Get current user profile
      GET
    • Update current user profile
      PATCH
  • Admin - Users
    • List and search users
      GET
    • Activate or deactivate user account
      PATCH
  • Addresses
    • List user shipping addresses
      GET
    • Create shipping address
      POST
    • Update shipping address
      PATCH
    • Delete shipping address
      DELETE
  • Health
    • Health check
      GET
  • Get application info and docs route
    GET
  • Schemas
    • AppInfoResponseDto
    • RegisterDto
    • AuthResponseDto
    • ErrorResponseDto
    • LoginDto
    • SignOutResponseDto
    • SessionResponseDto
    • UserProfileDto
    • UpdateProfileDto
    • AdminUserListResponseDto
    • AdminUpdateUserStatusDto
    • AdminUserItemDto
    • AddressResponseDto
    • CreateAddressDto
    • UpdateAddressDto
    • DeleteAddressResponseDto
  1. Admin - Users

List and search users

GET
/admin/users
Last modified:2026-11-03 23:10:15
Search and paginate users by name, email, role, and active/banned status. Restricted to ADMIN.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Paginated user list retrieved successfully
Bodyapplication/json

🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/admin/users?search=undefined&role=undefined&banned=undefined&page=undefined&limit=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "items": [
        {
            "id": "string",
            "name": "string",
            "email": "user@example.com",
            "emailVerified": true,
            "role": "string",
            "banned": true,
            "banReason": "string",
            "image": "string",
            "createdAt": "string",
            "updatedAt": "string"
        }
    ],
    "total": -9007199254740991,
    "page": -9007199254740991,
    "limit": -9007199254740991,
    "totalPages": -9007199254740991
}
Modified at 2026-11-03 23:10:15
Previous
Update current user profile
Next
Activate or deactivate user account
Built with